## org.red5.server.plugin
Class PluginRegistry

    java.lang.Object
      org.red5.server.plugin.PluginRegistry

    public class PluginRegistry

extends Object

Central registry for Red5 plug-ins.

Author:
  Paul Gregoire

Constructor Summary
`PluginRegistry()`

Method Summary
`static IRed5Plugin` `getPlugin(String pluginName)` Returns a plug-in.
`static void` `register(IRed5Plugin plugin)` Registers a plug-in.
`static void` `shutdown()` Shuts down the registry and stops any plug-ins that are found.
`static void` `unregister(IRed5Plugin plugin)` Unregisters a plug-in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginRegistry

    public PluginRegistry()

Method Detail

### register

    public static void register(IRed5Plugin plugin)

  Registers a plug-in.

  Parameters:
    `plugin` -

### unregister

    public static void unregister(IRed5Plugin plugin)

  Unregisters a plug-in.

  Parameters:
    `plugin` -

### getPlugin

    public static IRed5Plugin getPlugin(String pluginName)

  Returns a plug-in.

  Parameters:
    `pluginName` -
  Returns:
    requested plug-in matching the name given or null if not found

### shutdown

    public static void shutdown()
                         throws Exception

  Shuts down the registry and stops any plug-ins that are found.

  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project